# @billogram/foundation-control-group

> React layout components for control components

## Install

```
yarn add @billogram/foundation-control-group
```

## Usage

```tsx
import {
    FoundationControl,
    FoundationControlGroup,
} from '@billogram/foundation-control-group';
```

See [types](src/types.ts) for exported types.

### [`FoundationControl`](src/FoundationControl.tsx)

```tsx
<FoundationControl
    devices={ ['mobile', 'tablet', 'desktop'] }>
    ...
</FoundationControl>
```

### [`FoundationControlGroup`](src/FoundationControlGroup.tsx)

```tsx
<FoundationControlGroup
    column={ null }
    devices={ ['mobile', 'tablet', 'desktop'] }>
    <FoundationControl>
        ...
    </FoundationControl>
</FoundationControlGroup>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
