import React from 'react';
import purebem from 'purebem';
import FoundationControlContext, { DefaultControlContext } from './FoundationControlContext';
import './FoundationControl.scss';
export default function FoundationControl(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$devices = _ref.devices,
      devices = _ref$devices === void 0 ? ['mobile', 'tablet', 'desktop'] : _ref$devices;
  var context = React.useContext(FoundationControlContext);

  if (devices.length === 0) {
    return null;
  }

  var block = purebem('foundation-control');
  return /*#__PURE__*/React.createElement("div", {
    className: block(context.layout, devices.map(function (value) {
      return "".concat(value, "-visibility");
    }))
  }, /*#__PURE__*/React.createElement(FoundationControlContext.Provider, {
    value: DefaultControlContext
  }, children));
}
//# sourceMappingURL=FoundationControl.js.map