import React from 'react';
import purebem from 'purebem';
import FoundationControlContext from './FoundationControlContext';
import getLayout from './getLayout';
import './FoundationControlGroup.scss';
export default function FoundationControlGroup(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$column = _ref.column,
      column = _ref$column === void 0 ? null : _ref$column,
      _ref$devices = _ref.devices,
      devices = _ref$devices === void 0 ? ['mobile', 'tablet', 'desktop'] : _ref$devices;
  var context = React.useContext(FoundationControlContext);
  var block = purebem('foundation-control-group');
  var everyChildIsGroup = React.Children.toArray(children).every(function isControlGroup(child) {
    return child.type === FoundationControlGroup;
  });
  var layout = Array.isArray(context.layout) ? context.layout : getLayout(column);
  var root = context.layout === void 0;
  var newContext = React.useMemo(function () {
    return {
      layout: layout
    };
  }, [layout]);

  if (devices.length === 0 || React.Children.count(children) === 0) {
    return null;
  }

  return /*#__PURE__*/React.createElement("div", {
    className: block({
      root: root,
      recursive: everyChildIsGroup
    }, layout, devices.map(function (device) {
      return "".concat(device, "-visibility");
    }))
  }, /*#__PURE__*/React.createElement(FoundationControlContext.Provider, {
    value: newContext
  }, children));
}
//# sourceMappingURL=FoundationControlGroup.js.map